Page MenuHomePhabricator

MC: store defined macros in MCContext
ClosedPublic

Authored by royger on Feb 7 2018, 2:10 AM.

Details

Summary

So that macros defined in inline assembly blocks are available to the
whole file.

This provides a consistent behavior with other assembly directives,
since equations for example are already preserved between inline
assembly blocks.

PR: 36110

Diff Detail

Event Timeline

royger created this revision.Feb 7 2018, 2:10 AM
royger updated this revision to Diff 134057.Feb 13 2018, 9:20 AM
  • Fix nits in the test.
  • Properly format MCAsmMacro.h.
royger updated this revision to Diff 134165.Feb 14 2018, 12:37 AM
  • Remove unneeded includes from MCAsmMacro.h
espindola accepted this revision.Feb 26 2018, 2:41 PM
This revision is now accepted and ready to land.Feb 26 2018, 2:41 PM
espindola closed this revision.Feb 26 2018, 2:41 PM

r325139.